Bug 75491 - left workspace shift has strange behavior
left workspace shift has strange behavior
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-08 21:10 EDT by Yaron Minsky
Modified: 2012-02-02 14:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 17:34:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaron Minsky 2002-10-08 21:10:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When you move to the right workspace everything works fairly sensibly:  if
you're on the left you move to the right, if you're on the right, you move to
the next row.  Moving left, however, acts quite strangely.     If you're on the
right, it behaves sensibly.  If you're on the left, it moves to some hard to
predict place.  In particular, I have 8 workspaces arranged as follows:

1  5
2  6
3  7
4  8

Moving left at 4 goes to 5, 1 goes to 8, 2 goes to 7 and 3 goes to 6.  This has
the interesting property that going left repeatedly cycles through only 4 out of
the 8 workspaces, which 4 depending on where you start.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Just arrange the workspaces as noted above and go left.
	

Additional info:
Comment 1 Yaron Minsky 2002-10-08 21:22:32 EDT
An additional bug, which is closely related so I might as well tack it on here:
 when you're moving from workspace to workspace, that lovely little display
comes up in the middle of the screen showing you where you are.  It doesn't come
up when you are moving a window to another workspace, and it seems to me that it
should.
Comment 2 Havoc Pennington 2002-11-05 15:03:51 EST
This code was recently replaced in metacity CVS, it should be sorted out (or at
least have different bugs) when we upgrade the version.
Comment 3 Havoc Pennington 2003-01-12 17:34:56 EST
Should be fixed in latest (though it intentionally no longer wraps, it does 
behave predictably)

Note You need to log in before you can comment on or make changes to this bug.